import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationPanelContent.less';


const block = purebem.of('foundation-new-panel-content');

const FoundationPanelHeader = React.createClass({

    propTypes: {
        children: PropTypes.node
    },

    getDefaultProps() {
        return {
            children: null
        };
    },

    render() {
        const { children } = this.props;
        return (
            <div className={ block() }>
                { children }
            </div>
        );
    }

});

export default FoundationPanelHeader;
