import React, { PropTypes } from 'react';


const AnchorListWrapper = React.createClass({

    propTypes: {
        children: PropTypes.node
    },

    componentWillMount() {
        this.didNavigate = false;
    },

    onClick(evt) {
        this.didNavigate = !evt.defaultPrevented;
    },

    render() {
        return (
            <div onClick={ this.onClick }>
                { this.props.children }
            </div>
        );
    }

});

export default AnchorListWrapper;
